For the complete documentation index, see llms.txt. This page is also available as Markdown.

Fields

Buscar Campo do Formulário por ID

get
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de rota
formIdstringObrigatório

ID do formulário

fieldIdstringObrigatório

ID do campo

Respostas
200

OK

application/json
idstringOpcional
namestringOpcional
titlestringOpcional
subtitlestringOpcional
orderinteger · int32Opcional
typestringOpcional
activebooleanOpcional
page_idstringOpcional
requiredbooleanOpcional
default_valuestringOpcional
get/forms/{formId}/fields/{fieldId}
GET /api/b2b/forms/{formId}/fields/{fieldId} HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "text",
  "name": "text",
  "title": "text",
  "subtitle": "text",
  "order": 1,
  "type": "text",
  "active": true,
  "page_id": "text",
  "options": {
    "type": "MANUAL",
    "manual_options": [
      {
        "id": "text",
        "value": "text",
        "description": "text"
      }
    ],
    "database_id": "text",
    "key_field_id": "text",
    "description_field_id": "text",
    "listing_rule_id": "text"
  },
  "required": true,
  "default_value": "text",
  "advanced": {
    "content_tip": "text",
    "help_text": "text",
    "hide_field": true,
    "read_only": true,
    "compress": true,
    "move_to_new_line": true
  },
  "validation": {
    "max_limit": "text",
    "min_limit": "text",
    "type": "NONE",
    "edition_mode": "RICH_TEXT",
    "decimal_places_number": 1,
    "increment": 1,
    "multiple_selection": true
  },
  "search": {
    "image_field_id": "text",
    "field_id_1": "text",
    "field_id_2": "text",
    "field_id_3": "text",
    "field_id_4": "text",
    "field_id_5": "text"
  },
  "dependencies": [
    {
      "id": "text",
      "dependency_field_id": "text"
    }
  ],
  "dependency_fields": [
    {
      "id": "text",
      "dependency_field_id": "text"
    }
  ]
}

Atualizar Campo do Formulário

put
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de rota
formIdstringObrigatório

ID do formulário

fieldIdstringObrigatório

ID do campo

Corpo
namestringOpcional
titlestringOpcional
orderinteger · int32Opcional
typestring · enumOpcionalValores possíveis:
options_typestring · enumOpcionalValores possíveis:
activebooleanOpcional
page_idstringOpcional
requiredbooleanOpcional
subtitlestringOpcional
default_valuestringOpcional
Respostas
200

OK

application/json
idstringOpcional
namestringOpcional
titlestringOpcional
subtitlestringOpcional
orderinteger · int32Opcional
typestringOpcional
activebooleanOpcional
page_idstringOpcional
requiredbooleanOpcional
default_valuestringOpcional
put/forms/{formId}/fields/{fieldId}
PUT /api/b2b/forms/{formId}/fields/{fieldId} HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 684

{
  "name": "text",
  "title": "text",
  "order": 1,
  "type": "DESCRIPTION",
  "options_type": "MANUAL",
  "active": true,
  "page_id": "text",
  "required": true,
  "subtitle": "text",
  "default_value": "text",
  "advanced": {
    "content_tip": "text",
    "help_text": "text",
    "hide_field": true,
    "read_only": true,
    "compress": true,
    "move_to_new_line": true
  },
  "validation": {
    "max_limit": "text",
    "min_limit": "text",
    "type": "NONE",
    "edition_mode": "RICH_TEXT",
    "decimal_places_number": 1,
    "increment": 1,
    "multiple_selection": true
  },
  "search": {
    "image_field_id": "text",
    "field_id_1": "text",
    "field_id_2": "text",
    "field_id_3": "text",
    "field_id_4": "text",
    "field_id_5": "text"
  },
  "data_table": {
    "database_id": "text",
    "key_field_id": "text",
    "description_field_id": "text"
  }
}
{
  "id": "text",
  "name": "text",
  "title": "text",
  "subtitle": "text",
  "order": 1,
  "type": "text",
  "active": true,
  "page_id": "text",
  "options": {
    "type": "MANUAL",
    "manual_options": [
      {
        "id": "text",
        "value": "text",
        "description": "text"
      }
    ],
    "database_id": "text",
    "key_field_id": "text",
    "description_field_id": "text",
    "listing_rule_id": "text"
  },
  "required": true,
  "default_value": "text",
  "advanced": {
    "content_tip": "text",
    "help_text": "text",
    "hide_field": true,
    "read_only": true,
    "compress": true,
    "move_to_new_line": true
  },
  "validation": {
    "max_limit": "text",
    "min_limit": "text",
    "type": "NONE",
    "edition_mode": "RICH_TEXT",
    "decimal_places_number": 1,
    "increment": 1,
    "multiple_selection": true
  },
  "search": {
    "image_field_id": "text",
    "field_id_1": "text",
    "field_id_2": "text",
    "field_id_3": "text",
    "field_id_4": "text",
    "field_id_5": "text"
  },
  "dependencies": [
    {
      "id": "text",
      "dependency_field_id": "text"
    }
  ],
  "dependency_fields": [
    {
      "id": "text",
      "dependency_field_id": "text"
    }
  ]
}

Excluir Campo do Formulário

delete
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de rota
formIdstringObrigatório

ID do formulário

fieldIdstringObrigatório

ID do campo

Respostas
204

Form field deleted successfully

Sem conteúdo

delete/forms/{formId}/fields/{fieldId}
DELETE /api/b2b/forms/{formId}/fields/{fieldId} HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*

Sem conteúdo

Listar Campos do Formulário

get
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de rota
formIdstringObrigatório

ID do formulario

Parâmetros de consulta
sortstringOpcionalDefault: order
dirstringOpcionalDefault: desc
Respostas
200

Fields listed

application/json
idstringOpcional
namestringOpcional
titlestringOpcional
subtitlestringOpcional
orderinteger · int32Opcional
typestringOpcional
activebooleanOpcional
requiredbooleanOpcional
default_valuestringOpcional
page_idstringOpcional
get/forms/{formId}/fields
GET /api/b2b/forms/{formId}/fields HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
  {
    "id": "text",
    "name": "text",
    "title": "text",
    "subtitle": "text",
    "order": 1,
    "type": "text",
    "active": true,
    "required": true,
    "default_value": "text",
    "page_id": "text",
    "options": {
      "type": "MANUAL",
      "manual_options": [
        {
          "id": "text",
          "value": "text",
          "description": "text"
        }
      ],
      "database_id": "text",
      "key_field_id": "text",
      "description_field_id": "text",
      "listing_rule_id": "text"
    },
    "advanced": {
      "content_tip": "text",
      "help_text": "text",
      "hide_field": true,
      "read_only": true,
      "compress": true,
      "move_to_new_line": true
    },
    "validation": {
      "max_limit": "text",
      "min_limit": "text",
      "type": "NONE",
      "edition_mode": "RICH_TEXT",
      "decimal_places_number": 1,
      "increment": 1,
      "multiple_selection": true
    },
    "search": {
      "image_field_id": "text",
      "field_id_1": "text",
      "field_id_2": "text",
      "field_id_3": "text",
      "field_id_4": "text",
      "field_id_5": "text"
    },
    "dependencies": [
      {
        "id": "text",
        "dependency_field_id": "text"
      }
    ],
    "dependency_fields": [
      {
        "id": "text",
        "dependency_field_id": "text"
      }
    ]
  }
]

Criar Campo do Formulário

post
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de rota
formIdstringObrigatório

ID do formulário

Corpo
namestringOpcional
titlestringOpcional
subtitlestringOpcional
typestring · enumObrigatórioValores possíveis:
activebooleanOpcional
page_idstringObrigatório
requiredbooleanOpcional
default_valuestringOpcional
Respostas
201

Criado

application/json
idstringOpcional
namestringOpcional
titlestringOpcional
subtitlestringOpcional
orderinteger · int32Opcional
typestringOpcional
activebooleanOpcional
page_idstringOpcional
requiredbooleanOpcional
default_valuestringOpcional
post/forms/{formId}/fields
POST /api/b2b/forms/{formId}/fields HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 562

{
  "name": "text",
  "title": "text",
  "subtitle": "text",
  "type": "DESCRIPTION",
  "active": true,
  "page_id": "text",
  "required": true,
  "default_value": "text",
  "advanced": {
    "content_tip": "text",
    "help_text": "text",
    "hide_field": true,
    "read_only": true,
    "compress": true,
    "move_to_new_line": true
  },
  "validation": {
    "max_limit": "text",
    "min_limit": "text",
    "type": "NONE",
    "edition_mode": "RICH_TEXT",
    "decimal_places_number": 1,
    "increment": 1,
    "multiple_selection": true
  },
  "search": {
    "image_field_id": "text",
    "field_id_1": "text",
    "field_id_2": "text",
    "field_id_3": "text",
    "field_id_4": "text",
    "field_id_5": "text"
  }
}
{
  "id": "text",
  "name": "text",
  "title": "text",
  "subtitle": "text",
  "order": 1,
  "type": "text",
  "active": true,
  "page_id": "text",
  "options": {
    "type": "MANUAL",
    "manual_options": [
      {
        "id": "text",
        "value": "text",
        "description": "text"
      }
    ],
    "database_id": "text",
    "key_field_id": "text",
    "description_field_id": "text",
    "listing_rule_id": "text"
  },
  "required": true,
  "default_value": "text",
  "advanced": {
    "content_tip": "text",
    "help_text": "text",
    "hide_field": true,
    "read_only": true,
    "compress": true,
    "move_to_new_line": true
  },
  "validation": {
    "max_limit": "text",
    "min_limit": "text",
    "type": "NONE",
    "edition_mode": "RICH_TEXT",
    "decimal_places_number": 1,
    "increment": 1,
    "multiple_selection": true
  },
  "search": {
    "image_field_id": "text",
    "field_id_1": "text",
    "field_id_2": "text",
    "field_id_3": "text",
    "field_id_4": "text",
    "field_id_5": "text"
  },
  "dependencies": [
    {
      "id": "text",
      "dependency_field_id": "text"
    }
  ],
  "dependency_fields": [
    {
      "id": "text",
      "dependency_field_id": "text"
    }
  ]
}